%define subrel 3

Summary:        windows interface for the ClustalW multiple sequence alignment program
Name:		clustalx
Version:	2.1
Release:	%mkrel 3
URL:		http://bips.u-strasbg.fr/fr/Documentation/ClustalX/
Source0:	%{name}-%{version}.tar.gz
Requires:       clustalw
BuildRequires:  qt4-devel
License:	GPLv3+ and LGPLv3+
Group:		Sciences/Physics

%description
Clustal X is a new windows interface for the ClustalW multiple sequence
alignment program. It provides an integrated environment for performing
multiple sequence and profile alignments and analysing the results. The
sequence alignment is displayed in a window on the screen. A versatile coloring
scheme has been incorporated allowing you to highlight conserved features in
the alignment. The pull-down menus at the top of the window allow you to select
all the options required for traditional multiple sequence and profile
alignment.

%prep
%setup -q -n %{name}-%{version}

%build
# Nothing to do here
%qmake_qt4
%make

%install
rm -rf %{buildroot}

%__mkdir -p %{buildroot}%{_datadir}/%{name}
cp -a colprot.xml coldna.xml colprint.xml clustalx.hlp %{name} %{buildroot}%{_datadir}/%{name}/

%__mkdir -p %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/sh
%{_datadir}/%{name}/%{name} &
EOF
chmod 755 %{buildroot}%{_bindir}/%{name}

# desktopfile
%__install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
GenericName=%{name}
Comment=windows interface for the ClustalW multiple sequence alignment program
Exec=%{name}
Icon=biology_section
Terminal=false
Type=Application
Categories=Science;Biology;Qt;
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING COPYING.LESSER README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop


%changelog
* Wed Jul 13 2011 ahmad <ahmad> 2.1-3.3.mga1
+ Revision: 123846
- Fix categories, so that it shows up in only one menu
- Correct the License tag
- Use a shell script in %%{_bindir} to launch it, symlinking it makes complain
  about some files in %%{_datadir}/%%{name}
- Use the Biology Category for the .desktop file
- Fix the .desktop file name in the files list
- Fix the location of the .desktop file
- Fix the /usr/bin/clustalx symlink
- Fix the description wrapping

* Fri May 13 2011 dmorgan <dmorgan> 2.1-3.mga1
+ Revision: 97893
- Fix BR
- Fix macro
- Fix requires
- imported package clustalx

